View Issue Details

IDProjectCategoryView StatusLast Update
0002509PartBugpublic2017-04-18 01:03
ReportergdolleAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
PlatformLinuxOSArchlinuxOS Versionx86-64
Summary0002509: Sweep using bezier curve bug
DescriptionCreate a pipe using bezier curve. Depending on geometric point placement, the sweep bugs.

-------------------------------------
OS: "Arch Linux"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.Unknown
Build type: Release
Python version: 2.7.11
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.9.1
Steps To ReproduceSimple case:

1) Create a bezier curve using 4 points aligned (2 vertex, 2 geometric).
2) Create 2 disks placed to the curve extremities.
3) Create a sweep with the two disks along the bezier curve.
Additional InformationSee the joint example in the FreeCAD file and a screenshot
Tags#pending, bezier curve, sweep

Activities

2016-04-15 16:54gdolleNew Issue
2016-04-15 16:54gdolleFile Added: bug_sweep_bezcurve.tar
2016-04-15 16:55gdolleTag Attached: bezcurve
2016-04-15 16:55gdolleTag Attached: sweep
2017-01-17 17:19Kunda1Tag Renamedbezcurve => bezier curve
2017-01-18 01:10Kunda1File Added: bug1.fcstd
2017-01-18 01:11Kunda1File Added: screen.jpeg
2017-01-18 01:11Kunda1File Deleted: bug_sweep_bezcurve.tar
2017-01-18 01:12Kunda1Additional Information UpdatedView Revisions

Kunda1

2017-01-18 01:10

manager  

bug1.fcstd (184,262 bytes)

Kunda1

2017-01-18 01:11

manager  

screen.jpeg (152,020 bytes)
screen.jpeg (152,020 bytes)

Kunda1

2017-01-18 01:15

manager   ~0007858

Forum thread: http://forum.freecadweb.org/viewtopic.php?f=10&t=19999
I also edited the ticket by removing the tar and re-uploading the screenshot and .fcstd separately.
2017-02-16 12:17Kunda1Tag Attached: #pending

normandc

2017-02-17 03:56

manager   ~0008329

See my tests in the forum topic: https://forum.freecadweb.org/viewtopic.php?f=10&t=19999&p=160351#p160351

The gist of it is that forcing the BezCurve to be straight is probably what's causing the issue. I really can't see how producing such a "straight curve" would be desirable. If you want a straight path, why not create a line? When creating a Draft BezCurve with only two end points, the object that is automatically created is a Draft Line rather than a BezCurve.

The same issue with the sweep applies to a B-spline with 4 poles constrained to be straight. But a B-spline with two poles produces a valid sweep.

What needs to be decided: is the use of a straight BezCurve with more than 2 points an appropriate use here; only then can this be considered a bug. But that is for the developers with deep knowledge of such geometry to decide...

gdolle

2017-02-17 11:00

reporter   ~0008331

@normandc

Yes, there's a point. The idea was to curve this line after the sweep (The idea is that the curvature is not determined and can change in my current usage).
It was some times ago, but if I remember, it was not possible to convert a straight line to a BezCurve (at least if you already create the sweep on the straight line).

Also if I remember what I was doing, there was some bugs with BezCurve boolean depending on the curvature, so I wanted to create a straight BezCurve, then curve it.

normandc

2017-04-16 15:43

manager   ~0008826

This is not a PartDesign issue as the tool used is Part Sweep. Unfortunately there is no "Part" project to move this report to.
2017-04-18 01:02Kunda1ProjectPartDesign => Part

Kunda1

2017-04-18 01:03

manager   ~0008851

Moved to 'Part' category
2017-04-18 01:03Kunda1Statusnew => confirmed

Issue History

Date Modified Username Field Change
2016-04-15 16:54 gdolle New Issue
2016-04-15 16:54 gdolle File Added: bug_sweep_bezcurve.tar
2016-04-15 16:55 gdolle Tag Attached: bezcurve
2016-04-15 16:55 gdolle Tag Attached: sweep
2017-01-17 17:19 Kunda1 Tag Renamed bezcurve => bezier curve
2017-01-18 01:10 Kunda1 File Added: bug1.fcstd
2017-01-18 01:11 Kunda1 File Added: screen.jpeg
2017-01-18 01:11 Kunda1 File Deleted: bug_sweep_bezcurve.tar
2017-01-18 01:12 Kunda1 Additional Information Updated View Revisions
2017-01-18 01:15 Kunda1 Note Added: 0007858
2017-02-16 12:17 Kunda1 Tag Attached: #pending
2017-02-17 03:56 normandc Note Added: 0008329
2017-02-17 11:00 gdolle Note Added: 0008331
2017-04-16 15:43 normandc Note Added: 0008826
2017-04-18 01:02 Kunda1 Project PartDesign => Part
2017-04-18 01:03 Kunda1 Note Added: 0008851
2017-04-18 01:03 Kunda1 Status new => confirmed